# Class MoveAbilityBypassAbAttr

#### Hierarchy (view full)

- AbAttr
  - MoveAbilityBypassAbAttr

- Defined in src/data/ability.ts:3250

#####
Index

### Constructors

constructor

### Properties

moveIgnoreFunc
showAbility

### Methods

addCondition
apply
getCondition
getTriggerMessage

## Constructors

### constructor

- new MoveAbilityBypassAbAttr(moveIgnoreFunc?): MoveAbilityBypassAbAttr

- #### Parameters

  - `Optional` moveIgnoreFunc: ((pokemon, move) => boolean)
    - - (pokemon, move): boolean

      - #### Parameters

        - pokemon: default
        - move: default

        #### Returns boolean

  #### Returns MoveAbilityBypassAbAttr

  Overrides AbAttr.constructor

  - Defined in src/data/ability.ts:3253

## Properties

### `Private` moveIgnoreFunc

moveIgnoreFunc: ((pokemon, move) => boolean)

#### Type declaration

- - (pokemon, move): boolean

  - #### Parameters

    - pokemon: default
    - move: default

    #### Returns boolean

- Defined in src/data/ability.ts:3251

### showAbility

showAbility: boolean

Inherited from AbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from AbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean

  Overrides AbAttr.apply

  - Defined in src/data/ability.ts:3259

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from AbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from AbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137